{% extends "base_dashboard.html" %}
{% load i18n staticfiles %}
{% load management_tags %}
{% block title %}{% trans "Dashboard" %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><span>{% trans "Dashboard" %}</span></li>
  </ul>
{% endblock %}

{% block content %}
  <div class="chart-main">
    <canvas id="chart-this-year" height="100"></canvas>
  </div>
{% endblock %}

{% block js %}
  <script src="{% static 'js/chart.min.js' %}"></script>
  <script>
    window.chartColors = {
      red: 'rgb(255, 99, 132)',
      orange: 'rgb(255, 159, 64)',
      yellow: 'rgb(255, 205, 86)',
      green: 'rgb(75, 192, 192)',
      blue: 'rgb(54, 162, 235)',
      purple: 'rgb(153, 102, 255)',
      grey: 'rgb(201, 203, 207)'
    };
    var timeFormat = 'MM/DD/YYYY HH:mm';
    var color = Chart.helpers.color;
    var toFloat = function(numb) {
      return numb.replace(',', '.');
    }

    // global chart this year
    var globalConfig = {
      type: 'bar',
      data: {
        labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Aug', 'Sep', 'Nov', 'Des'],
        datasets: [{
          type: 'bar',
          label: '{% trans "Laporan disetujui" %}',
          backgroundColor: color(window.chartColors.green).alpha(0.5).rgbString(),
          borderColor: window.chartColors.green,
          data: [
            toFloat('{{ 1|get_reports_this_month }}'),
            toFloat('{{ 2|get_reports_this_month }}'),
            toFloat('{{ 3|get_reports_this_month }}'),
            toFloat('{{ 4|get_reports_this_month }}'),
            toFloat('{{ 5|get_reports_this_month }}'),
            toFloat('{{ 6|get_reports_this_month }}'),
            toFloat('{{ 7|get_reports_this_month }}'),
            toFloat('{{ 8|get_reports_this_month }}'),
            toFloat('{{ 9|get_reports_this_month }}'),
            toFloat('{{ 10|get_reports_this_month }}'),
            toFloat('{{ 11|get_reports_this_month }}'),
            toFloat('{{ 12|get_reports_this_month }}')
          ],
        }]
      },
      options: {
        title: {
          display: true,
          text: '{% trans "Rekaman bulanan dalam tahun" %} {% now "Y" %}'
        },
        legend: {
          position: 'right',
        },
      }
    };

    window.onload = function() {
      var ctx1 = document.getElementById('chart-this-year').getContext('2d');
      window.myLine = new Chart(ctx1, globalConfig);
    };
  </script>
{% endblock %}
